package sun.awt.shell;

import java.util.Comparator;
import javax.swing.SortOrder;

public class ShellFolderColumnInfo
{
    private String title;
    private Integer width;
    private boolean visible;
    private Integer alignment;
    private SortOrder sortOrder;
    private Comparator comparator;
    private boolean compareByColumn;
    
    public ShellFolderColumnInfo(String title, Integer width, Integer alignment, boolean visible, SortOrder sortOrder, Comparator comparator, boolean compareByColumn) {
        this.title = title;
        this.width = width;
        this.alignment = alignment;
        this.visible = visible;
        this.sortOrder = sortOrder;
        this.comparator = comparator;
        this.compareByColumn = compareByColumn;
    }
    
    public ShellFolderColumnInfo(String s, Integer n, Integer n2, boolean b, SortOrder sortOrder, Comparator comparator) {
        this(s, n, n2, b, sortOrder, comparator, false);
    }
    
    public ShellFolderColumnInfo(String s, int i, int j, boolean b) {
        this(s, Integer.valueOf(i), Integer.valueOf(j), b, null, null);
    }
    
    public String getTitle() {
        return this.title;
    }
    
    public void setTitle(String title) {
        this.title = title;
    }
    
    public Integer getWidth() {
        return this.width;
    }
    
    public void setWidth(Integer width) {
        this.width = width;
    }
    
    public Integer getAlignment() {
        return this.alignment;
    }
    
    public void setAlignment(Integer alignment) {
        this.alignment = alignment;
    }
    
    public boolean isVisible() {
        return this.visible;
    }
    
    public void setVisible(boolean visible) {
        this.visible = visible;
    }
    
    public SortOrder getSortOrder() {
        return this.sortOrder;
    }
    
    public void setSortOrder(SortOrder sortOrder) {
        this.sortOrder = sortOrder;
    }
    
    public Comparator getComparator() {
        return this.comparator;
    }
    
    public void setComparator(Comparator comparator) {
        this.comparator = comparator;
    }
    
    public boolean isCompareByColumn() {
        return this.compareByColumn;
    }
    
    public void setCompareByColumn(boolean compareByColumn) {
        this.compareByColumn = compareByColumn;
    }
}
